From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/oracle-jdk-bin/
Date: Mon, 23 Oct 2017 10:41:53 +0000 (UTC) [thread overview]
Message-ID: <1508755265.8cc2d3d6d6e310d0dc892ea075fd6843b866f127.chewi@gentoo> (raw)
commit: 8cc2d3d6d6e310d0dc892ea075fd6843b866f127
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 23 10:41:05 2017 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Oct 23 10:41:05 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cc2d3d6
dev-java/oracle-jdk-bin: Fix jce USE flag (bug #635070)
The JCE files are now bundled with the JDK.
Package-Manager: Portage-2.3.10, Repoman-2.3.3
...2.ebuild => oracle-jdk-bin-1.8.0.152-r1.ebuild} | 27 +++-------------------
1 file changed, 3 insertions(+), 24 deletions(-)
diff --git a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152.ebuild b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152-r1.ebuild
similarity index 91%
rename from dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152.ebuild
rename to dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152-r1.ebuild
index 13e99349fc5..23f3d4e3b5a 100644
--- a/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152.ebuild
+++ b/dev-java/oracle-jdk-bin/oracle-jdk-bin-1.8.0.152-r1.ebuild
@@ -5,9 +5,8 @@ EAPI=6
inherit eutils java-vm-2 prefix versionator
-# This URIs need to be updated when bumping!
+# This URI needs to be updated when bumping!
JDK_URI="http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html"
-JCE_URI="http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html"
# This is a list of archs supported by this update.
# Currently arm comes and goes.
@@ -42,9 +41,6 @@ DEMOS_x64_solaris="jdk-${MY_PV}-solaris-x64-demos.tar.gz"
DEMOS_sparc64_solaris="jdk-${MY_PV}-solaris-sparcv9-demos.tar.gz"
DEMOS_x64_macos="jdk-${MY_PV}-macosx-x86_64-demos.zip"
-JCE_DIR="UnlimitedJCEPolicyJDK8"
-JCE_FILE="jce_policy-8.zip"
-
DESCRIPTION="Oracle's Java SE Development Kit"
HOMEPAGE="http://www.oracle.com/technetwork/java/javase/"
for d in "${AT_AVAILABLE[@]}"; do
@@ -55,7 +51,6 @@ for d in "${AT_AVAILABLE[@]}"; do
SRC_URI+=" )"
done
unset d
-SRC_URI+=" jce? ( ${JCE_FILE} )"
LICENSE="Oracle-BCLA-JavaSE examples? ( BSD )"
SLOT="1.8"
@@ -107,7 +102,6 @@ RDEPEND="!x64-macos? (
selinux? ( sec-policy/selinux-java )"
DEPEND="app-arch/zip
- jce? ( app-arch/unzip )
examples? ( x64-macos? ( app-arch/unzip ) )"
S="${WORKDIR}/jdk"
@@ -148,7 +142,6 @@ pkg_nofetch() {
distfiles+=( $(eval "echo \${$(echo DEMOS_${ARCH/-/_})}") )
fi
check_tarballs_available "${JDK_URI}" "${distfiles[@]}"
- use jce && check_tarballs_available "${JCE_URI}" "${JCE_FILE}"
}
src_unpack() {
@@ -163,7 +156,6 @@ src_unpack() {
zcat jdk1${MY_PV%u*}0${update}.pkg/Payload | cpio -idv || die
mv Contents/Home "${WORKDIR}"/jdk${MY_PV} || die
popd > /dev/null || die
- use jce && unpack "${JCE_FILE}"
else
default
fi
@@ -175,10 +167,6 @@ src_unpack() {
}
src_prepare() {
- if use jce ; then
- mv "${WORKDIR}"/${JCE_DIR} jre/lib/security/ || die
- fi
-
default
if [[ -n ${JAVA_PKG_STRICT} ]] ; then
@@ -251,17 +239,8 @@ src_install() {
cp -pPR demo sample "${ddest}" || die
fi
- if use jce ; then
- dodir "${dest}"/jre/lib/security/strong-jce
- mv "${ddest}"/jre/lib/security/US_export_policy.jar \
- "${ddest}"/jre/lib/security/strong-jce || die
- mv "${ddest}"/jre/lib/security/local_policy.jar \
- "${ddest}"/jre/lib/security/strong-jce || die
- dosym "${dest}"/jre/lib/security/${JCE_DIR}/US_export_policy.jar \
- "${dest}"/jre/lib/security/US_export_policy.jar
- dosym "${dest}"/jre/lib/security/${JCE_DIR}/local_policy.jar \
- "${dest}"/jre/lib/security/local_policy.jar
- fi
+ ln -s policy/$(usex jce unlimited limited)/{US_export,local}_policy.jar \
+ "${ddest}"/jre/lib/security/ || die
if use nsplugin ; then
local nsplugin_link=${nsplugin##*/}
next reply other threads:[~2017-10-23 10:41 UTC|newest]
Thread overview: 100+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-10-23 10:41 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-09-20 7:59 [gentoo-commits] repo/gentoo:master commit in: dev-java/oracle-jdk-bin/ Michał Górny
2019-08-18 7:21 Georgy Yakovlev
2019-01-25 10:16 Miroslav Šulc
2019-01-25 10:05 Mikle Kolyada
2019-01-24 22:22 Thomas Deutschmann
2019-01-20 5:26 Georgy Yakovlev
2019-01-17 9:50 Miroslav Šulc
2019-01-17 9:50 Miroslav Šulc
2019-01-17 8:45 Miroslav Šulc
2019-01-16 21:00 Miroslav Šulc
2018-10-26 0:52 Thomas Deutschmann
2018-10-20 17:46 Mikle Kolyada
2018-10-19 14:34 James Le Cuirot
2018-08-18 21:30 James Le Cuirot
2018-08-16 0:39 Thomas Deutschmann
2018-08-14 18:52 James Le Cuirot
2018-08-14 0:50 Mikle Kolyada
2018-08-10 21:02 James Le Cuirot
2018-04-25 20:43 James Le Cuirot
2018-04-24 23:41 Thomas Deutschmann
2018-04-23 20:42 James Le Cuirot
2018-04-23 10:01 Mikle Kolyada
2018-04-22 23:01 James Le Cuirot
2018-02-10 11:11 James Le Cuirot
2018-01-25 11:51 Fabian Groffen
2018-01-23 21:28 James Le Cuirot
2018-01-23 16:41 Agostino Sarubbo
2018-01-21 21:08 Thomas Deutschmann
2018-01-21 16:39 James Le Cuirot
2018-01-21 16:39 James Le Cuirot
2018-01-19 20:34 James Le Cuirot
2018-01-19 20:34 James Le Cuirot
2017-12-10 22:01 Ulrich Müller
2017-10-25 20:05 James Le Cuirot
2017-10-24 7:07 Agostino Sarubbo
2017-10-22 20:33 Thomas Deutschmann
2017-10-21 23:20 James Le Cuirot
2017-10-21 23:20 James Le Cuirot
2017-08-18 20:55 James Le Cuirot
2017-08-18 20:25 Thomas Deutschmann
2017-08-01 19:47 James Le Cuirot
2017-07-31 11:40 Tobias Klausmann
2017-07-26 21:18 Patrick McLean
2017-07-21 8:57 Pacho Ramos
2017-07-20 20:02 James Le Cuirot
2017-04-26 9:47 James Le Cuirot
2017-04-26 9:01 Agostino Sarubbo
2017-04-26 9:00 Agostino Sarubbo
2017-04-25 21:13 James Le Cuirot
2017-04-25 21:13 James Le Cuirot
2017-01-24 8:39 Agostino Sarubbo
2017-01-24 8:39 Agostino Sarubbo
2017-01-23 22:52 James Le Cuirot
2017-01-23 22:52 James Le Cuirot
2017-01-23 22:52 James Le Cuirot
2017-01-23 22:52 James Le Cuirot
2017-01-23 22:52 James Le Cuirot
2017-01-23 22:52 James Le Cuirot
2016-10-19 12:49 James Le Cuirot
2016-10-19 10:28 Agostino Sarubbo
2016-10-19 10:26 Agostino Sarubbo
2016-10-19 10:17 James Le Cuirot
2016-07-28 14:27 James Le Cuirot
2016-07-28 14:08 Agostino Sarubbo
2016-07-28 8:43 Agostino Sarubbo
2016-07-27 22:19 James Le Cuirot
2016-07-16 12:57 Patrice Clement
2016-04-21 20:33 James Le Cuirot
2016-04-21 10:22 Agostino Sarubbo
2016-04-21 10:21 Agostino Sarubbo
2016-04-20 21:39 James Le Cuirot
2016-04-17 22:09 James Le Cuirot
2016-03-26 16:33 James Le Cuirot
2016-03-26 16:03 Agostino Sarubbo
2016-03-26 16:02 Agostino Sarubbo
2016-03-25 22:34 James Le Cuirot
2016-03-25 22:34 James Le Cuirot
2016-02-14 9:06 Fabian Groffen
2016-02-13 16:38 James Le Cuirot
2016-02-13 15:42 Agostino Sarubbo
2016-02-13 15:42 Agostino Sarubbo
2016-02-09 22:19 James Le Cuirot
2016-01-27 10:10 Fabian Groffen
2016-01-22 13:43 James Le Cuirot
2016-01-21 14:48 James Le Cuirot
2016-01-21 14:26 Agostino Sarubbo
2016-01-21 14:26 Agostino Sarubbo
2016-01-21 13:54 James Le Cuirot
2016-01-14 14:31 Fabian Groffen
2016-01-01 22:50 James Le Cuirot
2015-10-22 9:29 James Le Cuirot
2015-10-22 7:33 Agostino Sarubbo
2015-10-22 7:33 Agostino Sarubbo
2015-10-21 21:48 James Le Cuirot
2015-10-21 21:48 James Le Cuirot
2015-09-12 13:57 James Le Cuirot
2015-09-09 9:05 James Le Cuirot
2015-09-06 21:00 James Le Cuirot
2015-08-31 22:43 James Le Cuirot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1508755265.8cc2d3d6d6e310d0dc892ea075fd6843b866f127.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox